Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 13211 - ping ignores -c and -w options for non-local hosts
Summary: ping ignores -c and -w options for non-local hosts
Keywords:
Status: CLOSED DUPLICATE of bug 8724
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-29 14:21 UTC by bernd
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-07-18 10:34:47 UTC


Attachments (Terms of Use)

Description bernd 2000-06-29 14:21:45 UTC
The following works only if a host is on the local subnet and down:
ping -c 5 down.local.network (or ping -w 5 down.local.network)

For non local host, this will run forever or until stopped by Ctrl-C:
ping -w 2 down.remote.network
PING down.remote.network (aaa.bbb.ccc.ddd) from (rrr.sss.ttt.uuu) 56(84)
bytes of data.
(time passes, much more than 2 seconds, pressing Ctrl-C)
--- down.remote.network ping statistics ---
43 packets transmitted, 0 packets received, 100% packet loss

The same happens with '-c 2'.

RedHat 6.1, netkit-base-0.10-37.
The problem does not exist in RedHat 5.2 (netkit-base-0.10-13).

Comment 1 bernd 2000-07-18 10:34:45 UTC
This bug will be propably marked as a duplicate of bug 8724, with the suggestion
to install iputils from the rawhide distribution.  Two comments:
a) iputils from rawhide can not be installed with the standard rpm
command          (error message: "only packages with major numbers <= 3 are
supported by this     version of RPM")
b) It is in my eyes a bad idea to put a bugfix for one package (netkit-base)in
   a package with a different name (iputils).  That breaks the idea behind
the      -F option of the rpm command.  At least for distributions that come
with         netkit-base there should also be fix with the same name.

Comment 2 Pekka Savola 2000-07-18 22:09:36 UTC
If this is important for you, I suggest you install rpm-3.0.5 binary from
ftp://ftp.rpm.org/pub/rpm/test/ and --rebuild iputils SRPM using it.  That way
you can use it in 6.x too.

I agree that "change" of package name can be unfortunate, but you just can't
stick to certain names and contents forever and also try to maintain full
backward compatibility; That'd be just too much work.  Linux world is developing
and changing rapidly :). Critical bugfixes and security issues are usually
packported though.



*** This bug has been marked as a duplicate of 8724 ***


Note You need to log in before you can comment on or make changes to this bug.